# -*- coding: utf-8 -*-

from django.utils.translation import ugettext_lazy as _

COUNTRY_CHOICES_ONLY_BELGIUM = (
    ('BE', _(u'Belgium')),
)

COUNTRY_CHOICES_ONLY_NETHERLANDS = (
    ('NL', _(u'Netherlands')),
)

COUNTRY_CHOICES = (
    ('AF', _(u'Afghanistan')),
    ('AL', _(u'Albania')),
    ('DZ', _(u'Algeria')),
    ('AS', _(u'American Samoa')),
    ('AD', _(u'Andorra')),
    ('AG', _(u'Angola')),
    ('AI', _(u'Anguilla')),
    ('AG', _(u'Antigua & Barbuda')),
    ('AR', _(u'Argentina')),
    ('AA', _(u'Armenia')),
    ('AW', _(u'Aruba')),
    ('AU', _(u'Australia')),
    ('AT', _(u'Austria')),
    ('AZ', _(u'Azerbaijan')),
    ('BS', _(u'Bahamas')),
    ('BH', _(u'Bahrain')),
    ('BD', _(u'Bangladesh')),
    ('BB', _(u'Barbados')),
    ('BY', _(u'Belarus')),
    ('BE', _(u'Belgium')),
    ('BZ', _(u'Belize')),
    ('BJ', _(u'Benin')),
    ('BM', _(u'Bermuda')),
    ('BT', _(u'Bhutan')),
    ('BO', _(u'Bolivia')),
    ('BL', _(u'Bonaire')),
    ('BA', _(u'Bosnia & Herzegovina')),
    ('BW', _(u'Botswana')),
    ('BR', _(u'Brazil')),
    ('BC', _(u'British Indian Ocean Ter')),
    ('BN', _(u'Brunei')),
    ('BG', _(u'Bulgaria')),
    ('BF', _(u'Burkina Faso')),
    ('BI', _(u'Burundi')),
    ('KH', _(u'Cambodia')),
    ('CM', _(u'Cameroon')),
    ('CA', _(u'Canada')),
    ('IC', _(u'Canary Islands')),
    ('CV', _(u'Cape Verde')),
    ('KY', _(u'Cayman Islands')),
    ('CF', _(u'Central African Republic')),
    ('TD', _(u'Chad')),
    ('CD', _(u'Channel Islands')),
    ('CL', _(u'Chile')),
    ('CN', _(u'China')),
    ('CI', _(u'Christmas Island')),
    ('CS', _(u'Cocos Island')),
    ('CO', _(u'Colombia')),
    ('CC', _(u'Comoros')),
    ('CG', _(u'Congo')),
    ('CK', _(u'Cook Islands')),
    ('CR', _(u'Costa Rica')),
    ('CT', _(u"Côte D'Ivoire")),
    ('HR', _(u'Croatia')),
    ('CU', _(u'Cuba')),
    ('CB', _(u'Curaçao')),
    ('CY', _(u'Cyprus')),
    ('CZ', _(u'Czech Republic')),
    ('DK', _(u'Denmark')),
    ('DJ', _(u'Djibouti')),
    ('DM', _(u'Dominica')),
    ('DO', _(u'Dominican Republic')),
    ('TM', _(u'East Timor')),
    ('EC', _(u'Ecuador')),
    ('EG', _(u'Egypt')),
    ('SV', _(u'El Salvador')),
    ('GQ', _(u'Equatorial Guinea')),
    ('ER', _(u'Eritrea')),
    ('EE', _(u'Estonia')),
    ('ET', _(u'Ethiopia')),
    ('FA', _(u'Falkland Islands')),
    ('FO', _(u'Faroe Islands')),
    ('FJ', _(u'Fiji')),
    ('FI', _(u'Finland')),
    ('FR', _(u'France')),
    ('GF', _(u'French Guiana')),
    ('PF', _(u'French Polynesia')),
    ('FS', _(u'French Southern Ter')),
    ('GA', _(u'Gabon')),
    ('GM', _(u'Gambia')),
    ('GE', _(u'Georgia')),
    ('DE', _(u'Germany')),
    ('GH', _(u'Ghana')),
    ('GI', _(u'Gibraltar')),
    ('GB', _(u'Great Britain')),
    ('GR', _(u'Greece')),
    ('GL', _(u'Greenland')),
    ('GD', _(u'Grenada')),
    ('GP', _(u'Guadeloupe')),
    ('GU', _(u'Guam')),
    ('GT', _(u'Guatemala')),
    ('GN', _(u'Guinea')),
    ('GY', _(u'Guyana')),
    ('HT', _(u'Haiti')),
    ('HW', _(u'Hawaii')),
    ('HN', _(u'Honduras')),
    ('HK', _(u'Hong Kong')),
    ('HU', _(u'Hungary')),
    ('IS', _(u'Iceland')),
    ('IN', _(u'India')),
    ('ID', _(u'Indonesia')),
    ('IA', _(u'Iran')),
    ('IQ', _(u'Iraq')),
    ('IR', _(u'Ireland')),
    ('IM', _(u'Isle of Man')),
    ('IL', _(u'Israel')),
    ('IT', _(u'Italy')),
    ('JM', _(u'Jamaica')),
    ('JP', _(u'Japan')),
    ('JO', _(u'Jordan')),
    ('KZ', _(u'Kazakhstan')),
    ('KE', _(u'Kenya')),
    ('KI', _(u'Kiribati')),
    ('NK', _(u'Korea North')),
    ('KS', _(u'Korea South')),
    ('KW', _(u'Kuwait')),
    ('KG', _(u'Kyrgyzstan')),
    ('LA', _(u'Laos')),
    ('LV', _(u'Latvia')),
    ('LB', _(u'Lebanon')),
    ('LS', _(u'Lesotho')),
    ('LR', _(u'Liberia')),
    ('LY', _(u'Libya')),
    ('LI', _(u'Liechtenstein')),
    ('LT', _(u'Lithuania')),
    ('LU', _(u'Luxembourg')),
    ('MO', _(u'Macau')),
    ('MK', _(u'Macedonia')),
    ('MG', _(u'Madagascar')),
    ('MY', _(u'Malaysia')),
    ('MW', _(u'Malawi')),
    ('MV', _(u'Maldives')),
    ('ML', _(u'Mali')),
    ('MT', _(u'Malta')),
    ('MH', _(u'Marshall Islands')),
    ('MQ', _(u'Martinique')),
    ('MR', _(u'Mauritania')),
    ('MU', _(u'Mauritius')),
    ('ME', _(u'Mayotte')),
    ('MX', _(u'Mexico')),
    ('MI', _(u'Midway Islands')),
    ('MD', _(u'Moldova')),
    ('MC', _(u'Monaco')),
    ('MN', _(u'Mongolia')),
    ('MS', _(u'Montserrat')),
    ('MA', _(u'Morocco')),
    ('MZ', _(u'Mozambique')),
    ('MM', _(u'Myanmar')),
    ('NA', _(u'Namibia')),
    ('NU', _(u'Nauru')),
    ('NP', _(u'Nepal')),
    ('AN', _(u'Netherland Antilles')),
    ('NL', _(u'Netherlands')),
    ('NV', _(u'Nevis')),
    ('NC', _(u'New Caledonia')),
    ('NZ', _(u'New Zealand')),
    ('NI', _(u'Nicaragua')),
    ('NE', _(u'Niger')),
    ('NG', _(u'Nigeria')),
    ('NW', _(u'Niue')),
    ('NF', _(u'Norfolk Island')),
    ('NO', _(u'Norway')),
    ('OM', _(u'Oman')),
    ('PK', _(u'Pakistan')),
    ('PW', _(u'Palau Island')),
    ('PS', _(u'Palestine')),
    ('PA', _(u'Panama')),
    ('PG', _(u'Papua New Guinea')),
    ('PY', _(u'Paraguay')),
    ('PE', _(u'Peru')),
    ('PH', _(u'Philippines')),
    ('PO', _(u'Pitcairn Island')),
    ('PL', _(u'Poland')),
    ('PT', _(u'Portugal')),
    ('PR', _(u'Puerto Rico')),
    ('QA', _(u'Qatar')),
    ('RE', _(u'Reunion')),
    ('RO', _(u'Romania')),
    ('RU', _(u'Russia')),
    ('RW', _(u'Rwanda')),
    ('NT', _(u'St Barthélemy')),
    ('EU', _(u'St Eustatius')),
    ('HE', _(u'St Helena')),
    ('KN', _(u'St Kitts-Nevis')),
    ('LC', _(u'St Lucia')),
    ('MB', _(u'St Maarten')),
    ('PM', _(u'St Pierre & Miquelon')),
    ('VC', _(u'St Vincent & Grenadines')),
    ('SP', _(u'Saipan')),
    ('SO', _(u'Samoa')),
    ('AS', _(u'Samoa American')),
    ('SM', _(u'San Marino')),
    ('ST', _(u'Sao Tome & Principe')),
    ('SA', _(u'Saudi Arabia')),
    ('SN', _(u'Senegal')),
    ('SC', _(u'Seychelles')),
    ('SS', _(u'Serbia & Montenegro')),
    ('SL', _(u'Sierra Leone')),
    ('SG', _(u'Singapore')),
    ('SK', _(u'Slovakia')),
    ('SI', _(u'Slovenia')),
    ('SB', _(u'Solomon Islands')),
    ('OI', _(u'Somalia')),
    ('ZA', _(u'South Africa')),
    ('ES', _(u'Spain')),
    ('LK', _(u'Sri Lanka')),
    ('SD', _(u'Sudan')),
    ('SR', _(u'Suriname')),
    ('SZ', _(u'Swaziland')),
    ('SE', _(u'Sweden')),
    ('CH', _(u'Switzerland')),
    ('SY', _(u'Syria')),
    ('TA', _(u'Tahiti')),
    ('TW', _(u'Taiwan')),
    ('TJ', _(u'Tajikistan')),
    ('TZ', _(u'Tanzania')),
    ('TH', _(u'Thailand')),
    ('TG', _(u'Togo')),
    ('TK', _(u'Tokelau')),
    ('TO', _(u'Tonga')),
    ('TT', _(u'Trinidad & Tobago')),
    ('TN', _(u'Tunisia')),
    ('TR', _(u'Turkey')),
    ('TU', _(u'Turkmenistan')),
    ('TC', _(u'Turks & Caicos Is')),
    ('TV', _(u'Tuvalu')),
    ('UG', _(u'Uganda')),
    ('UA', _(u'Ukraine')),
    ('AE', _(u'United Arab Emirates')),
    ('GB', _(u'United Kingdom')),
    ('US', _(u'United States of America')),
    ('UY', _(u'Uruguay')),
    ('UZ', _(u'Uzbekistan')),
    ('VU', _(u'Vanuatu')),
    ('VS', _(u'Vatican City State')),
    ('VE', _(u'Venezuela')),
    ('VN', _(u'Vietnam')),
    ('VB', _(u'Virgin Islands (Brit)')),
    ('VA', _(u'Virgin Islands (USA)')),
    ('WK', _(u'Wake Island')),
    ('WF', _(u'Wallis & Futana Is')),
    ('YE', _(u'Yemen')),
    ('ZR', _(u'Zaire')),
    ('ZM', _(u'Zambia')),
    ('ZW', _(u'Zimbabwe')),
)

EUROPEAN_COUNTRY_CHOICES = (
    ('AT', _(u'Austria')),
    ('BE', _(u'Belgium')),
    ('DE', _(u'Germany')),
    ('BG', _(u'Bulgaria')),
    ('CY', _(u'Cyprus')),
    ('DK', _(u'Denmark')),
    ('CZ', _(u'Czech Republic')),
    ('EE', _(u'Estonia')),
    ('FI', _(u'Finland')),
    ('FR', _(u'France')),
    ('GB', _(u'Great Britain')),
    ('GR', _(u'Greece')),
    ('HU', _(u'Hungary')),
    ('IR', _(u'Ireland')),
    ('IT', _(u'Italy')),
    ('LV', _(u'Latvia')),
    ('LT', _(u'Lithuania')),
    ('LU', _(u'Luxembourg')),
    ('MT', _(u'Malta')),
    ('NL', _(u'Netherlands')),
    ('PL', _(u'Poland')),
    ('PT', _(u'Portugal')),
    ('RO', _(u'Romania')),
    ('SK', _(u'Slovakia')),
    ('SI', _(u'Slovenia')),
    ('ES', _(u'Spain')),
    ('SE', _(u'Sweden')),
)

COUNTRY_CHOICES_CIA = (
    ('aa', _(u'Aruba')),
    ('ac', _(u'Antigua and Barbuda')),
    ('ae', _(u'United Arab Emirates')),
    ('af', _(u'Afghanistan')),
    ('ag', _(u'Algeria')),
    ('aj', _(u'Azerbaijan')),
    ('al', _(u'Albania')),
    ('am', _(u'Armenia')),
    ('an', _(u'Andorra')),
    ('ao', _(u'Angola')),
    ('aq', _(u'American Samoa')),
    ('ar', _(u'Argentina')),
    ('as', _(u'Australia')),
    ('at', _(u'Ashmore and Cartier Islands')),
    ('au', _(u'Austria')),
    ('av', _(u'Anguilla')),
    ('ax', _(u'Akrotiri')),
    ('ay', _(u'Antarctica')),
    ('ba', _(u'Bahrain')),
    ('bb', _(u'Barbados')),
    ('bc', _(u'Botswana')),
    ('bd', _(u'Bermuda')),
    ('be', _(u'Belgium')),
    ('bf', _(u'Bahamas, The')),
    ('bg', _(u'Bangladesh')),
    ('bh', _(u'Belize')),
    ('bk', _(u'Bosnia and Herzegovina')),
    ('bl', _(u'Bolivia')),
    ('bm', _(u'Burma')),
    ('bn', _(u'Benin')),
    ('bo', _(u'Belarus')),
    ('bp', _(u'Solomon Islands')),
    ('bq', _(u'Navassa Island')),
    ('br', _(u'Brazil')),
    ('bt', _(u'Bhutan')),
    ('bu', _(u'Bulgaria')),
    ('bv', _(u'Bouvet Island')),
    ('bx', _(u'Brunei')),
    ('by', _(u'Burundi')),
    ('ca', _(u'Canada')),
    ('cb', _(u'Cambodia')),
    ('cc', _(u'Curacao')),
    ('cd', _(u'Chad')),
    ('ce', _(u'Sri Lanka')),
    ('cf', _(u'Congo, Republic of the')),
    ('cg', _(u'Congo, Democratic Republic of the')),
    ('ch', _(u'China')),
    ('ci', _(u'Chile')),
    ('cj', _(u'Cayman Islands')),
    ('ck', _(u'Cocos (Keeling) Islands')),
    ('cm', _(u'Cameroon')),
    ('cn', _(u'Comoros')),
    ('co', _(u'Colombia')),
    ('cq', _(u'Northern Mariana Islands')),
    ('cr', _(u'Coral Sea Islands')),
    ('cs', _(u'Costa Rica')),
    ('ct', _(u'Central African Republic')),
    ('cu', _(u'Cuba')),
    ('cv', _(u'Cape Verde')),
    ('cw', _(u'Cook Islands')),
    ('cy', _(u'Cyprus')),
    ('da', _(u'Denmark')),
    ('dj', _(u'Djibouti')),
    ('do', _(u'Dominica')),
    ('dr', _(u'Dominican Republic')),
    ('dx', _(u'Dhekelia')),
    ('ec', _(u'Ecuador')),
    ('ee', _(u'European Union')),
    ('eg', _(u'Egypt')),
    ('ei', _(u'Ireland')),
    ('ek', _(u'Equatorial Guinea')),
    ('en', _(u'Estonia')),
    ('er', _(u'Eritrea')),
    ('es', _(u'El Salvador')),
    ('et', _(u'Ethiopia')),
    ('ez', _(u'Czech Republic')),
    ('fi', _(u'Finland')),
    ('fj', _(u'Fiji')),
    ('fk', _(u'Falkland Islands (Islas Malvinas)')),
    ('fm', _(u'Micronesia, Federated States of')),
    ('fo', _(u'Faroe Islands')),
    ('fp', _(u'French Polynesia')),
    ('fr', _(u'France')),
    ('fs', _(u'French Southern and Antarctic Lands')),
    ('ga', _(u'Gambia, The')),
    ('gb', _(u'Gabon')),
    ('gg', _(u'Georgia')),
    ('gh', _(u'Ghana')),
    ('gi', _(u'Gibraltar')),
    ('gj', _(u'Grenada')),
    ('gk', _(u'Guernsey')),
    ('gl', _(u'Greenland')),
    ('gm', _(u'Germany')),
    ('gq', _(u'Guam')),
    ('gr', _(u'Greece')),
    ('gt', _(u'Guatemala')),
    ('gv', _(u'Guinea')),
    ('gy', _(u'Guyana')),
    ('gz', _(u'Gaza Strip')),
    ('ha', _(u'Haiti')),
    ('hk', _(u'Hong Kong')),
    ('hm', _(u'Heard Island and McDonald Islands')),
    ('ho', _(u'Honduras')),
    ('hr', _(u'Croatia')),
    ('hu', _(u'Hungary')),
    ('ic', _(u'Iceland')),
    ('id', _(u'Indonesia')),
    ('im', _(u'Isle of Man')),
    ('in', _(u'India')),
    ('io', _(u'British Indian Ocean Territory')),
    ('ip', _(u'Clipperton Island')),
    ('ir', _(u'Iran')),
    ('is', _(u'Israel')),
    ('it', _(u'Italy')),
    ('iv', _(u"Cote d'Ivoire")),
    ('iz', _(u'Iraq')),
    ('ja', _(u'Japan')),
    ('je', _(u'Jersey')),
    ('jm', _(u'Jamaica')),
    ('jn', _(u'Jan Mayen')),
    ('jo', _(u'Jordan')),
    ('ke', _(u'Kenya')),
    ('kg', _(u'Kyrgyzstan')),
    ('kn', _(u'Korea, North')),
    ('kr', _(u'Kiribati')),
    ('ks', _(u'Korea, South')),
    ('kt', _(u'Christmas Island')),
    ('ku', _(u'Kuwait')),
    ('kv', _(u'Kosovo')),
    ('kz', _(u'Kazakhstan')),
    ('la', _(u'Laos')),
    ('le', _(u'Lebanon')),
    ('lg', _(u'Latvia')),
    ('lh', _(u'Lithuania')),
    ('li', _(u'Liberia')),
    ('lo', _(u'Slovakia')),
    ('ls', _(u'Liechtenstein')),
    ('lt', _(u'Lesotho')),
    ('lu', _(u'Luxembourg')),
    ('ly', _(u'Libya')),
    ('ma', _(u'Madagascar')),
    ('mc', _(u'Macau')),
    ('md', _(u'Moldova')),
    ('mg', _(u'Mongolia')),
    ('mh', _(u'Montserrat')),
    ('mi', _(u'Malawi')),
    ('mj', _(u'Montenegro')),
    ('mk', _(u'Macedonia')),
    ('ml', _(u'Mali')),
    ('mn', _(u'Monaco')),
    ('mo', _(u'Morocco')),
    ('mp', _(u'Mauritius')),
    ('mr', _(u'Mauritania')),
    ('mt', _(u'Malta')),
    ('mu', _(u'Oman')),
    ('mv', _(u'Maldives')),
    ('mx', _(u'Mexico')),
    ('my', _(u'Malaysia')),
    ('mz', _(u'Mozambique')),
    ('nc', _(u'New Caledonia')),
    ('ne', _(u'Niue')),
    ('nf', _(u'Norfolk Island')),
    ('ng', _(u'Niger')),
    ('nh', _(u'Vanuatu')),
    ('ni', _(u'Nigeria')),
    ('nl', _(u'Netherlands')),
    ('no', _(u'Norway')),
    ('np', _(u'Nepal')),
    ('nr', _(u'Nauru')),
    ('ns', _(u'Suriname')),
    ('nu', _(u'Nicaragua')),
    ('nz', _(u'New Zealand')),
    ('oo', _(u'Southern Ocean')),
    ('pa', _(u'Paraguay')),
    ('pc', _(u'Pitcairn Islands')),
    ('pe', _(u'Peru')),
    ('pf', _(u'Paracel Islands')),
    ('pg', _(u'Spratly Islands')),
    ('pk', _(u'Pakistan')),
    ('pl', _(u'Poland')),
    ('pm', _(u'Panama')),
    ('po', _(u'Portugal')),
    ('pp', _(u'Papua New Guinea')),
    ('ps', _(u'Palau')),
    ('pu', _(u'Guinea-Bissau')),
    ('qa', _(u'Qatar')),
    ('ri', _(u'Serbia')),
    ('rm', _(u'Marshall Islands')),
    ('rn', _(u'Saint Martin')),
    ('ro', _(u'Romania')),
    ('rp', _(u'Philippines')),
    ('rq', _(u'Puerto Rico')),
    ('rs', _(u'Russia')),
    ('rw', _(u'Rwanda')),
    ('sa', _(u'Saudi Arabia')),
    ('sb', _(u'Saint Pierre and Miquelon')),
    ('sc', _(u'Saint Kitts and Nevis')),
    ('se', _(u'Seychelles')),
    ('sf', _(u'South Africa')),
    ('sg', _(u'Senegal')),
    ('sh', _(u'Saint Helena, Ascension, and Tristan da Cunha')),
    ('si', _(u'Slovenia')),
    ('sk', _(u'Sint Maarten')),
    ('sl', _(u'Sierra Leone')),
    ('sm', _(u'San Marino')),
    ('sn', _(u'Singapore')),
    ('so', _(u'Somalia')),
    ('sp', _(u'Spain')),
    ('st', _(u'Saint Lucia')),
    ('su', _(u'Sudan')),
    ('sv', _(u'Svalbard')),
    ('sw', _(u'Sweden')),
    ('sx', _(u'South Georgia and South Sandwich Islands')),
    ('sy', _(u'Syria')),
    ('sz', _(u'Switzerland')),
    ('tb', _(u'Saint Barthelemy')),
    ('td', _(u'Trinidad and Tobago')),
    ('th', _(u'Thailand')),
    ('ti', _(u'Tajikistan')),
    ('tk', _(u'Turks and Caicos Islands')),
    ('tl', _(u'Tokelau')),
    ('tn', _(u'Tonga')),
    ('to', _(u'Togo')),
    ('tp', _(u'Sao Tome and Principe')),
    ('ts', _(u'Tunisia')),
    ('tt', _(u'Timor-Leste')),
    ('tu', _(u'Turkey')),
    ('tv', _(u'Tuvalu')),
    ('tw', _(u'Taiwan')),
    ('tx', _(u'Turkmenistan')),
    ('tz', _(u'Tanzania')),
    ('ug', _(u'Uganda')),
    ('uk', _(u'United Kingdom')),
    ('um', _(u'United States Pacific Island Wildlife Refuges')),
    ('up', _(u'Ukraine')),
    ('us', _(u'United States')),
    ('uv', _(u'Burkina Faso')),
    ('uy', _(u'Uruguay')),
    ('uz', _(u'Uzbekistan')),
    ('vc', _(u'Saint Vincent and the Grenadines')),
    ('ve', _(u'Venezuela')),
    ('vi', _(u'British Virgin Islands')),
    ('vm', _(u'Vietnam')),
    ('vq', _(u'Virgin Islands')),
    ('vt', _(u'Holy See (Vatican City)')),
    ('wa', _(u'Namibia')),
    ('we', _(u'West Bank')),
    ('wf', _(u'Wallis and Futuna')),
    ('wi', _(u'Western Sahara')),
    ('wq', _(u'Wake Island')),
    ('ws', _(u'Samoa')),
    ('wz', _(u'Swaziland')),
    ('xo', _(u'Indian Ocean')),
    ('xq', _(u'Arctic Ocean')),
    ('xx', _(u'World')),
    ('ym', _(u'Yemen')),
    ('za', _(u'Zambia')),
    ('zh', _(u'Atlantic Ocean')),
    ('zi', _(u'Zimbabwe')),
    ('zn', _(u'Pacific Ocean')),
)
